Subject: RE: SCTP API draft (was Re: New "IP Version 6 Addressing Architec ture" draft)

From: Christian Huitema <[email-masked]>
Date: Wed, 26 Jul 2000 15:12:40 -0700

> Note that how the system picks those addresses are still not "clearly"
> specified.  It may not make sense to pick all addresses 
> associated with an
> interface.  The reason for having multiple addresses is that 
> SCTP can failover
> to another address if the primary fails.  But if all the addresses are
> associated with an interface, failover may not make sense at 
> all.  There are
> still a lot of work to be done in this area in the draft...

If the multiple addresses have different prefixes, then the packets will be
routed through different paths. This provides a useful failover situation,
from a failing provider to a valid provider, even if the interface is the
same.
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: Kacheong Poon <[email-masked]>
Date: Wed, 26 Jul 2000 15:18:05 -0700 (PDT)

> from a failing provider to a valid provider, even if the interface is the

This can be one criterion in picking multiple addresses from a single
interface.  Thanks.

							K. Poon.
							[email-masked]